Bug 1291013 - Gnome software fails to install packages when the user is administrator and has automatic login enabled
Gnome software fails to install packages when the user is administrator and h...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
23
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-12 14:45 EST by Ervin
Modified: 2016-04-08 07:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-08 07:46:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ervin 2015-12-12 14:45:09 EST
Description of problem:
I am the administrator of my system, I click install on a package in gnome-software but the package does not start installing instead giving the message pending. There is no such hindrance or delay when installing from yumex or the terminal. 

Version-Release number of selected component (if applicable):
3.18.3


How reproducible: Always


Steps to Reproduce:
1.Become administrator in Fedora
2. Open the gnome-software and click install on a package of your choice


Actual results: the installation fails to initiate, instead there is a pending message. 


Expected results: When the user is administrator, the package should either install automatically like in previous versions, or it should ask for the administrator password and start installing. 


Additional info:I am not using the latest update librsvg2, that is librsvg2 2.40.12, instead I downgraded to the previous version due to a bug blocking the settings of a gnome extension when using the latest version of this package. Not sure if this affects gnome-software. 
I also removed gnome-boxes, because my computers gets overheated by virtual machines, don't know if boxes being an integral part of gnome, when removed (through gnome-software) has caused a dependency problem.
Comment 1 Ervin 2015-12-12 14:53:16 EST
As a standard user though I am able to install software from the gnome-software, not as an administrator though.
Comment 2 Ervin 2015-12-12 14:57:07 EST
I had automatic login enabled, with automatic login disabled, I am able to automatically install packages from gnome-software. 
In that case, I think gnome-software should be made to ask for the password when you are using automatic login just like the gnome keyring does.
Comment 3 Shnoulle 2016-01-07 13:48:39 EST
I have same issue but WITHOUT automatic login

See https://framapic.org/iWIxU68PWaUG/SSy82Lf7vBWr.png

gnome-software say in not a "sure sources", no problem with sudo dnf

Here screen is for pigdin, but same with PdfMod or any software.

[shnoulle@beldaran ~]$ gnome-software --version
gnome-software 3.18.3
[shnoulle@beldaran ~]$ groups
shnoulle wheel
[shnoulle@beldaran ~]$ dnf repolist
Vérification de l'expiration des métadonnées effectuée il y a 8 days, 1:02:30 sur Wed Dec 30 18:36:47 2015.
id du dépôt                                                                                                               nom du dépôt                                                                                                                                    statut
adobe-linux-x86_64                                                                                                        Adobe Systems Incorporated                                                                                                                           2
*fedora                                                                                                                   Fedora 23 - x86_64                                                                                                                              46 074
fedora-chromium-stable                                                                                                    Builds of the "stable" tag of the Chromium Web Browser                                                                                              20
playonlinux                                                                                                               PlayOnLinux Official repository                                                                                                                     46
rpmfusion-free                                                                                                            RPM Fusion for Fedora 23 - Free                                                                                                                    692
rpmfusion-free-updates-testing                                                                                            RPM Fusion for Fedora 23 - Free - Test Updates                                                                                                     230
rpmfusion-nonfree                                                                                                         RPM Fusion for Fedora 23 - Nonfree                                                                                                                 206
rpmfusion-nonfree-updates-testing                                                                                         RPM Fusion for Fedora 23 - Nonfree - Test Updates                                                                                                   69
*updates                                                                                                                  Fedora 23 - x86_64 - Updates                                                                                                                    13 182
Comment 4 Richard Hughes 2016-01-08 04:41:13 EST
(In reply to Ervin from comment #0)
> 1.Become administrator in Fedora

Do you mean using the "Users" control center panel? Can you give more details please.
Comment 5 Ervin 2016-01-10 11:46:34 EST
Yes 
When I enable automatic login at the "Users" control center  panel, I can't install packages from gnome-software.
Comment 6 Ervin 2016-01-11 10:05:11 EST
Correction, I enabled myself as a an administrator at installation time.
Comment 7 Ervin 2016-04-08 07:46:02 EDT
It has been fixed with new releases.

Note You need to log in before you can comment on or make changes to this bug.